summaryrefslogtreecommitdiffstats
path: root/source/n/getmail
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/getmail')
-rwxr-xr-xsource/n/getmail/getmail.SlackBuild34
-rw-r--r--source/n/getmail/getmail.url1
-rw-r--r--source/n/getmail/slack-desc8
3 files changed, 29 insertions, 14 deletions
diff --git a/source/n/getmail/getmail.SlackBuild b/source/n/getmail/getmail.SlackBuild
index 5a550bce6..4f2ec8c8d 100755
--- a/source/n/getmail/getmail.SlackBuild
+++ b/source/n/getmail/getmail.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,20 +20,30 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=${VERSION:-$(echo getmail-*.tar.gz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=getmail
+VERSION=${VERSION:-$(echo getmail-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-getmail
rm -rf $PKG
@@ -41,11 +51,15 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf getmail-$VERSION
-tar xvf $CWD/getmail-$VERSION.tar.gz || exit 1
+tar xvf $CWD/getmail-$VERSION.tar.?z || exit 1
chown -R root:root getmail-$VERSION
-cd getmail-$VERSION
-python setup.py build
-python setup.py install --root=$PKG
+cd getmail-$VERSION || exit 1
+
+# Fix shebang in a couple files
+sed -i -e "s|#![ ]*/usr/bin/env python2.3|#!/usr/bin/env python2|" $(find . -name '*.py')
+
+python setup.py build || exit 1
+python setup.py install --root=$PKG || exit 1
( cd $PKG/usr/share
mv man ..
diff --git a/source/n/getmail/getmail.url b/source/n/getmail/getmail.url
new file mode 100644
index 000000000..0cfbf0ed4
--- /dev/null
+++ b/source/n/getmail/getmail.url
@@ -0,0 +1 @@
+http://pyropus.ca/software/getmail
diff --git a/source/n/getmail/slack-desc b/source/n/getmail/slack-desc
index 6c91db1cc..5fa340025 100644
--- a/source/n/getmail/slack-desc
+++ b/source/n/getmail/slack-desc
@@ -1,15 +1,15 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
getmail: getmail (POP3 mail retriever)
getmail:
getmail: getmail is a POP3 mail retriever, with support for both ordinary and
-getmail: domain (or multidrop) POP3 mailboxes. It is written in Python, and
+getmail: domain (or multidrop) POP3 mailboxes. It is written in Python, and
getmail: licensed under the GNU General Public License version 2.
getmail:
getmail: getmail was written by Charles Cazabon.